Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TParseTreeVisitor

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeVisitor

    public class TParseTreeVisitor

extends java.lang.Object

Constructor Summary
`TParseTreeVisitor()`

Method Summary
`void` | `postVisit(TAliasClause node)`
`void` | `postVisit(TAlterTableStatement stmt)`
`void` | `postVisit(TCaseExpression node)`
`void` | `postVisit(TColumnDefinition node)`
`void` | `postVisit(TColumnDefinitionList node)`
`void` | `postVisit(TComputeClause node)`
`void` | `postVisit(TComputeClauseItem node)`
`void` | `postVisit(TComputeClauseItemList node)`
`void` | `postVisit(TConstant node)`
`void` | `postVisit(TConstantList node)`
`void` | `postVisit(TConstraint node)`
`void` | `postVisit(TConstraintList node)`
`void` | `postVisit(TContainsTable node)`
`void` | `postVisit(TCreateIndexSqlStatement stmt)`
`void` | `postVisit(TCreateMaterializedSqlStatement stmt)`
`void` | `postVisit(TCreateTableSqlStatement stmt)`
`void` | `postVisit(TCreateViewSqlStatement stmt)`
`void` | `postVisit(TCTE node)`
`void` | `postVisit(TCTEList node)`
`void` | `postVisit(TDb2StmtStub node)`
`void` | `postVisit(TDeleteSqlStatement stmt)`
`void` | `postVisit(TDropIndexSqlStatement stmt)`
`void` | `postVisit(TDropTableSqlStatement stmt)`
`void` | `postVisit(TDropViewSqlStatement stmt)`
`void` | `postVisit(TExceptionClause node)`
`void` | `postVisit(TExceptionHandler node)`
`void` | `postVisit(TExceptionHandlerList node)`
`void` | `postVisit(TExpression node)`
`void` | `postVisit(TExpressionList node)`
`void` | `postVisit(TForUpdate node)`
`void` | `postVisit(TFunctionCall node)`
`void` | `postVisit(TGroupBy node)`
`void` | `postVisit(TGroupByItem node)`
`void` | `postVisit(TGroupByItemList node)`
`void` | `postVisit(TGroupingExpressionItem node)`
`void` | `postVisit(TGroupingExpressionItemList node)`
`void` | `postVisit(THierarchical node)`
`void` | `postVisit(TInExpr node)`
`void` | `postVisit(TInsertSqlStatement stmt)`
`void` | `postVisit(TIntervalExpression node)`
`void` | `postVisit(TIntoClause node)`
`void` | `postVisit(TJoin node)`
`void` | `postVisit(TJoinItem node)`
`void` | `postVisit(TJoinItemList node)`
`void` | `postVisit(TJoinList node)`
`void` | `postVisit(TLimitClause snode)`
`void` | `postVisit(TLockingClause node)`
`void` | `postVisit(TLockingClauseList node)`
`void` | `postVisit(TMdxAxisNode node)`
`void` | `postVisit(TMdxBinOpNode node)`
`void` | `postVisit(TMdxCalcPropNode node)`
`void` | `postVisit(TMdxCall node)`
`void` | `postVisit(TMdxCaseNode node)`
`void` | `postVisit(TMdxCreateMember node)`
`void` | `postVisit(TMdxCreateSessionCube node)`
`void` | `postVisit(TMdxCreateSubCube node)`
`void` | `postVisit(TMdxDimContentNode node)`
`void` | `postVisit(TMdxDimensionNode node)`
`void` | `postVisit(TMdxDrillthrough node)`
`void` | `postVisit(TMdxEmptyNode node)`
`void` | `postVisit(TMdxExpNode node)`
`void` | `postVisit(TMdxExpression node)`
`void` | `postVisit(TMdxFloatConstNode node)`
`void` | `postVisit(TMdxFunctionNode node)`
`void` | `postVisit(TMdxGroupNode node)`
`void` | `postVisit(TMdxIdentifierNode node)`
`void` | `postVisit(TMdxIntegerConstNode node)`
`void` | `postVisit(TMdxLevelContentNode node)`
`void` | `postVisit(TMdxLevelNode node)`
`void` | `postVisit(TMdxMeasureNode node)`
`void` | `postVisit(TMdxMemberNode node)`
`void` | `postVisit(TMdxNonEmptyNode node)`
`void` | `postVisit(TMdxPropertyNode node)`
`void` | `postVisit(TMdxScope node)`
`void` | `postVisit(TMdxSelect node)`
`void` | `postVisit(TMdxSetNode node)`
`void` | `postVisit(TMdxStringConstNode node)`
`void` | `postVisit(TMdxTupleNode node)`
`void` | `postVisit(TMdxUnaryOpNode node)`
`void` | `postVisit(TMdxWhenNode node)`
`void` | `postVisit(TMdxWhereNode node)`
`void` | `postVisit(TMdxWithNode node)`
`void` | `postVisit(TMergeSqlStatement stmt)`
`void` | `postVisit(TMssqlBeginDialog stmt)`
`void` | `postVisit(TMssqlBeginTran stmt)`
`void` | `postVisit(TMssqlBlock stmt)`
`void` | `postVisit(TMssqlBreak stmt)`
`void` | `postVisit(TMssqlBulkInsert stmt)`
`void` | `postVisit(TMssqlClose stmt)`
`void` | `postVisit(TMssqlCommit stmt)`
`void` | `postVisit(TMssqlContinue stmt)`
`void` | `postVisit(TMssqlCreateFunction stmt)`
`void` | `postVisit(TMssqlCreateProcedure stmt)`
`void` | `postVisit(TMssqlCreateTrigger stmt)`
`void` | `postVisit(TMssqlDeallocate stmt)`
`void` | `postVisit(TMssqlDeclare stmt)`
`void` | `postVisit(TMssqlEndConversation stmt)`
`void` | `postVisit(TMssqlExecute stmt)`
`void` | `postVisit(TMssqlExecuteAs stmt)`
`void` | `postVisit(TMssqlFetch stmt)`
`void` | `postVisit(TMssqlGo stmt)`
`void` | `postVisit(TMssqlGoTo stmt)`
`void` | `postVisit(TMssqlGrant stmt)`
`void` | `postVisit(TMssqlIfElse stmt)`
`void` | `postVisit(TMssqlLabel stmt)`
`void` | `postVisit(TMssqlOpen stmt)`
`void` | `postVisit(TMssqlPrint stmt)`
`void` | `postVisit(TMssqlRaiserror stmt)`
`void` | `postVisit(TMssqlReturn stmt)`
`void` | `postVisit(TMssqlRevert stmt)`
`void` | `postVisit(TMssqlRollback stmt)`
`void` | `postVisit(TMssqlSaveTran stmt)`
`void` | `postVisit(TMssqlSendOnConversation stmt)`
`void` | `postVisit(TMssqlStmtStub stmt)`
`void` | `postVisit(TMssqlTruncateTable stmt)`
`void` | `postVisit(TMssqlUpdateText stmt)`
`void` | `postVisit(TMssqlUse stmt)`
`void` | `postVisit(TMultiTarget node)`
`void` | `postVisit(TMultiTargetList node)`
`void` | `postVisit(TMySQLCreateFunction stmt)`
`void` | `postVisit(TMySQLCreateProcedure stmt)`
`void` | `postVisit(TMySQLCreateTrigger stmt)`
`void` | `postVisit(TMySQLDeclare stmt)`
`void` | `postVisit(TMySQLStmtStub node)`
`void` | `postVisit(TObjectName node)`
`void` | `postVisit(TObjectNameList node)`
`void` | `postVisit(TOpenDatasource node)`
`void` | `postVisit(TOpenRowSet node)`
`void` | `postVisit(TOpenXML node)`
`void` | `postVisit(TOracleCommentOnSqlStmt node)`
`void` | `postVisit(TOracleCreateSequenceStmt node)`
`void` | `postVisit(TOracleCreateSynonymStmt node)`
`void` | `postVisit(TOracleExecuteProcedure node)`
`void` | `postVisit(TOrderBy node)`
`void` | `postVisit(TOrderByItem node)`
`void` | `postVisit(TOrderByItemList node)`
`void` | `postVisit(TOutputClause node)`
`void` | `postVisit(TParameterDeclaration node)`
`void` | `postVisit(TParameterDeclarationList node)`
`void` | `postVisit(TPivotClause node)`
`void` | `postVisit(TPlsqlAssignStmt node)`
`void` | `postVisit(TPlsqlBasicStmt node)`
`void` | `postVisit(TPlsqlBlock node)`
`void` | `postVisit(TPlsqlCaseStmt node)`
`void` | `postVisit(TPlsqlCloseStmt node)`
`void` | `postVisit(TPlsqlCreateFunction node)`
`void` | `postVisit(TPlsqlCreatePackage node)`
`void` | `postVisit(TPlsqlCreateProcedure node)`
`void` | `postVisit(TPlsqlCreateTrigger node)`
`void` | `postVisit(TPlsqlCreateType_Placeholder node)`
`void` | `postVisit(TPlsqlCreateType node)`
`void` | `postVisit(TPlsqlCreateTypeBody node)`
`void` | `postVisit(TPlsqlCursorDeclStmt node)`
`void` | `postVisit(TPlsqlDummyStmt node)`
`void` | `postVisit(TPlsqlElsifStmt node)`
`void` | `postVisit(TPlsqlExecImmeStmt node)`
`void` | `postVisit(TPlsqlExitStmt node)`
`void` | `postVisit(TPlsqlFetchStmt node)`
`void` | `postVisit(TPlsqlForallStmt node)`
`void` | `postVisit(TPlsqlGotoStmt node)`
`void` | `postVisit(TPlsqlIfStmt node)`
`void` | `postVisit(TPlsqlLoopStmt node)`
`void` | `postVisit(TPlsqlNullStmt node)`
`void` | `postVisit(TPlsqlOpenforStmt node)`
`void` | `postVisit(TPlsqlOpenStmt node)`
`void` | `postVisit(TPlsqlPipeRowStmt node)`
`void` | `postVisit(TPlsqlPragmaDeclStmt node)`
`void` | `postVisit(TPlsqlProcedureSpecStmt node)`
`void` | `postVisit(TPlsqlRaiseStmt node)`
`void` | `postVisit(TPlsqlRecordTypeDefStmt node)`
`void` | `postVisit(TPlsqlReturnStmt node)`
`void` | `postVisit(TPlsqlSqlStmt node)`
`void` | `postVisit(TPlsqlSubProgram node)`
`void` | `postVisit(TPlsqlTableTypeDefStmt node)`
`void` | `postVisit(TPlsqlVarDeclStmt node)`
`void` | `postVisit(TPlsqlVarrayTypeDefStmt node)`
`void` | `postVisit(TPTNodeList node)`
`void` | `postVisit(TQualifyClause node)`
`void` | `postVisit(TResultColumn node)`
`void` | `postVisit(TResultColumnList node)`
`void` | `postVisit(TReturningClause node)`
`void` | `postVisit(TSelectSqlStatement stmt)`
`void` | `postVisit(TSqlplusCmdStatement node)`
`void` | `postVisit(TStatementList node)`
`void` | `postVisit(TTable node)`
`void` | `postVisit(TTopClause node)`
`void` | `postVisit(TTrimArgument node)`
`void` | `postVisit(TTypeAttribute node)`
`void` | `postVisit(TTypeAttributeList node)`
`void` | `postVisit(TTypeName node)`
`void` | `postVisit(TTypeNameList node)`
`void` | `postVisit(TUnknownSqlStatement stmt)`
`void` | `postVisit(TUpdateSqlStatement stmt)`
`void` | `postVisit(TValueClause node)`
`void` | `postVisit(TValueRowItem node)`
`void` | `postVisit(TValueRowItemList node)`
`void` | `postVisit(TViewAliasClause node)`
`void` | `postVisit(TViewAliasItem node)`
`void` | `postVisit(TViewAliasItemList node)`
`void` | `postVisit(TWhenClauseItem node)`
`void` | `postVisit(TWhenClauseItemList node)`
`void` | `postVisit(TWhereClause node)`
`void` | `preVisit(TAliasClause node)`
`void` | `preVisit(TAlterTableStatement stmt)`
`void` | `preVisit(TCaseExpression node)`
`void` | `preVisit(TColumnDefinition node)`
`void` | `preVisit(TColumnDefinitionList node)`
`void` | `preVisit(TComputeClause node)`
`void` | `preVisit(TComputeClauseItem node)`
`void` | `preVisit(TComputeClauseItemList node)`
`void` | `preVisit(TConstant node)`
`void` | `preVisit(TConstantList node)`
`void` | `preVisit(TConstraint node)`
`void` | `preVisit(TConstraintList node)`
`void` | `preVisit(TContainsTable node)`
`void` | `preVisit(TCreateIndexSqlStatement stmt)`
`void` | `preVisit(TCreateMaterializedSqlStatement stmt)`
`void` | `preVisit(TCreateTableSqlStatement stmt)`
`void` | `preVisit(TCreateViewSqlStatement stmt)`
`void` | `preVisit(TCTE node)`
`void` | `preVisit(TCTEList node)`
`void` | `preVisit(TDb2StmtStub node)`
`void` | `preVisit(TDeleteSqlStatement stmt)`
`void` | `preVisit(TDropIndexSqlStatement stmt)`
`void` | `preVisit(TDropTableSqlStatement stmt)`
`void` | `preVisit(TDropViewSqlStatement stmt)`
`void` | `preVisit(TExceptionClause node)`
`void` | `preVisit(TExceptionHandler node)`
`void` | `preVisit(TExceptionHandlerList node)`
`void` | `preVisit(TExpression node)`
`void` | `preVisit(TExpressionList node)`
`void` | `preVisit(TForUpdate node)`
`void` | `preVisit(TFunctionCall node)`
`void` | `preVisit(TGroupBy node)`
`void` | `preVisit(TGroupByItem node)`
`void` | `preVisit(TGroupByItemList node)`
`void` | `preVisit(TGroupingExpressionItem node)`
`void` | `preVisit(TGroupingExpressionItemList node)`
`void` | `preVisit(THierarchical node)`
`void` | `preVisit(TInExpr node)`
`void` | `preVisit(TInsertSqlStatement stmt)`
`void` | `preVisit(TIntervalExpression node)`
`void` | `preVisit(TIntoClause node)`
`void` | `preVisit(TJoin node)`
`void` | `preVisit(TJoinItem node)`
`void` | `preVisit(TJoinItemList node)`
`void` | `preVisit(TJoinList node)`
`void` | `preVisit(TLimitClause node)`
`void` | `preVisit(TLockingClause node)`
`void` | `preVisit(TLockingClauseList node)`
`void` | `preVisit(TMdxAxisNode node)`
`void` | `preVisit(TMdxBinOpNode node)`
`void` | `preVisit(TMdxCalcPropNode node)`
`void` | `preVisit(TMdxCall node)`
`void` | `preVisit(TMdxCaseNode node)`
`void` | `preVisit(TMdxCreateMember node)`
`void` | `preVisit(TMdxCreateSessionCube node)`
`void` | `preVisit(TMdxCreateSubCube node)`
`void` | `preVisit(TMdxDimContentNode node)`
`void` | `preVisit(TMdxDimensionNode node)`
`void` | `preVisit(TMdxDrillthrough node)`
`void` | `preVisit(TMdxEmptyNode node)`
`void` | `preVisit(TMdxExpNode node)`
`void` | `preVisit(TMdxExpression node)`
`void` | `preVisit(TMdxFloatConstNode node)`
`void` | `preVisit(TMdxFunctionNode node)`
`void` | `preVisit(TMdxGroupNode node)`
`void` | `preVisit(TMdxIdentifierNode node)`
`void` | `preVisit(TMdxIntegerConstNode node)`
`void` | `preVisit(TMdxLevelContentNode node)`
`void` | `preVisit(TMdxLevelNode node)`
`void` | `preVisit(TMdxMeasureNode node)`
`void` | `preVisit(TMdxMemberNode node)`
`void` | `preVisit(TMdxNonEmptyNode node)`
`void` | `preVisit(TMdxPropertyNode node)`
`void` | `preVisit(TMdxScope node)`
`void` | `preVisit(TMdxSelect node)`
`void` | `preVisit(TMdxSetNode node)`
`void` | `preVisit(TMdxStringConstNode node)`
`void` | `preVisit(TMdxTupleNode node)`
`void` | `preVisit(TMdxUnaryOpNode node)`
`void` | `preVisit(TMdxWhenNode node)`
`void` | `preVisit(TMdxWhereNode node)`
`void` | `preVisit(TMdxWithNode node)`
`void` | `preVisit(TMergeSqlStatement stmt)`
`void` | `preVisit(TMssqlBeginDialog stmt)`
`void` | `preVisit(TMssqlBeginTran stmt)`
`void` | `preVisit(TMssqlBlock stmt)`
`void` | `preVisit(TMssqlBreak stmt)`
`void` | `preVisit(TMssqlBulkInsert stmt)`
`void` | `preVisit(TMssqlClose stmt)`
`void` | `preVisit(TMssqlCommit stmt)`
`void` | `preVisit(TMssqlContinue stmt)`
`void` | `preVisit(TMssqlCreateFunction stmt)`
`void` | `preVisit(TMssqlCreateProcedure stmt)`
`void` | `preVisit(TMssqlCreateTrigger stmt)`
`void` | `preVisit(TMssqlDeallocate stmt)`
`void` | `preVisit(TMssqlDeclare stmt)`
`void` | `preVisit(TMssqlEndConversation stmt)`
`void` | `preVisit(TMssqlExecute stmt)`
`void` | `preVisit(TMssqlExecuteAs stmt)`
`void` | `preVisit(TMssqlFetch stmt)`
`void` | `preVisit(TMssqlGo stmt)`
`void` | `preVisit(TMssqlGoTo stmt)`
`void` | `preVisit(TMssqlGrant stmt)`
`void` | `preVisit(TMssqlIfElse stmt)`
`void` | `preVisit(TMssqlLabel stmt)`
`void` | `preVisit(TMssqlOpen stmt)`
`void` | `preVisit(TMssqlPrint stmt)`
`void` | `preVisit(TMssqlRaiserror stmt)`
`void` | `preVisit(TMssqlReturn stmt)`
`void` | `preVisit(TMssqlRevert stmt)`
`void` | `preVisit(TMssqlRollback stmt)`
`void` | `preVisit(TMssqlSaveTran stmt)`
`void` | `preVisit(TMssqlSendOnConversation stmt)`
`void` | `preVisit(TMssqlStmtStub stmt)`
`void` | `preVisit(TMssqlTruncateTable stmt)`
`void` | `preVisit(TMssqlUpdateText stmt)`
`void` | `preVisit(TMssqlUse stmt)`
`void` | `preVisit(TMultiTarget node)`
`void` | `preVisit(TMultiTargetList node)`
`void` | `preVisit(TMySQLCreateFunction stmt)`
`void` | `preVisit(TMySQLCreateProcedure stmt)`
`void` | `preVisit(TMySQLCreateTrigger stmt)`
`void` | `preVisit(TMySQLDeclare stmt)`
`void` | `preVisit(TMySQLStmtStub node)`
`void` | `preVisit(TObjectName node)`
`void` | `preVisit(TObjectNameList node)`
`void` | `preVisit(TOpenDatasource node)`
`void` | `preVisit(TOpenRowSet node)`
`void` | `preVisit(TOpenXML node)`
`void` | `preVisit(TOracleCommentOnSqlStmt node)`
`void` | `preVisit(TOracleCreateSequenceStmt node)`
`void` | `preVisit(TOracleCreateSynonymStmt node)`
`void` | `preVisit(TOracleExecuteProcedure node)`
`void` | `preVisit(TOrderBy node)`
`void` | `preVisit(TOrderByItem node)`
`void` | `preVisit(TOrderByItemList node)`
`void` | `preVisit(TOutputClause node)`
`void` | `preVisit(TParameterDeclaration node)`
`void` | `preVisit(TParameterDeclarationList node)`
`void` | `preVisit(TPivotClause node)`
`void` | `preVisit(TPlsqlAssignStmt node)`
`void` | `preVisit(TPlsqlBasicStmt node)`
`void` | `preVisit(TPlsqlBlock node)`
`void` | `preVisit(TPlsqlCaseStmt node)`
`void` | `preVisit(TPlsqlCloseStmt node)`
`void` | `preVisit(TPlsqlCreateFunction node)`
`void` | `preVisit(TPlsqlCreatePackage node)`
`void` | `preVisit(TPlsqlCreateProcedure node)`
`void` | `preVisit(TPlsqlCreateTrigger node)`
`void` | `preVisit(TPlsqlCreateType_Placeholder node)`
`void` | `preVisit(TPlsqlCreateType node)`
`void` | `preVisit(TPlsqlCreateTypeBody node)`
`void` | `preVisit(TPlsqlCursorDeclStmt node)`
`void` | `preVisit(TPlsqlDummyStmt node)`
`void` | `preVisit(TPlsqlElsifStmt node)`
`void` | `preVisit(TPlsqlExecImmeStmt node)`
`void` | `preVisit(TPlsqlExitStmt node)`
`void` | `preVisit(TPlsqlFetchStmt node)`
`void` | `preVisit(TPlsqlForallStmt node)`
`void` | `preVisit(TPlsqlGotoStmt node)`
`void` | `preVisit(TPlsqlIfStmt node)`
`void` | `preVisit(TPlsqlLoopStmt node)`
`void` | `preVisit(TPlsqlNullStmt node)`
`void` | `preVisit(TPlsqlOpenforStmt node)`
`void` | `preVisit(TPlsqlOpenStmt node)`
`void` | `preVisit(TPlsqlPipeRowStmt node)`
`void` | `preVisit(TPlsqlPragmaDeclStmt node)`
`void` | `preVisit(TPlsqlProcedureSpecStmt node)`
`void` | `preVisit(TPlsqlRaiseStmt node)`
`void` | `preVisit(TPlsqlRecordTypeDefStmt node)`
`void` | `preVisit(TPlsqlReturnStmt node)`
`void` | `preVisit(TPlsqlSqlStmt node)`
`void` | `preVisit(TPlsqlSubProgram node)`
`void` | `preVisit(TPlsqlTableTypeDefStmt node)`
`void` | `preVisit(TPlsqlVarDeclStmt node)`
`void` | `preVisit(TPlsqlVarrayTypeDefStmt node)`
`void` | `preVisit(TPTNodeList node)`
`void` | `preVisit(TQualifyClause node)`
`void` | `preVisit(TResultColumn node)`
`void` | `preVisit(TResultColumnList node)`
`void` | `preVisit(TReturningClause node)`
`void` | `preVisit(TSelectSqlStatement stmt)`
`void` | `preVisit(TSqlplusCmdStatement node)`
`void` | `preVisit(TStatementList node)`
`void` | `preVisit(TTable node)`
`void` | `preVisit(TTopClause node)`
`void` | `preVisit(TTrimArgument node)`
`void` | `preVisit(TTypeAttribute node)`
`void` | `preVisit(TTypeAttributeList node)`
`void` | `preVisit(TTypeName node)`
`void` | `preVisit(TTypeNameList node)`
`void` | `preVisit(TUnknownSqlStatement stmt)`
`void` | `preVisit(TUpdateSqlStatement stmt)`
`void` | `preVisit(TValueClause node)`
`void` | `preVisit(TValueRowItem node)`
`void` | `preVisit(TValueRowItemList node)`
`void` | `preVisit(TViewAliasClause node)`
`void` | `preVisit(TViewAliasItem node)`
`void` | `preVisit(TViewAliasItemList node)`
`void` | `preVisit(TWhenClauseItem node)`
`void` | `preVisit(TWhenClauseItemList node)`
`void` | `preVisit(TWhereClause node)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TParseTreeVisitor

    public TParseTreeVisitor()

Method Detail

### preVisit

    public void preVisit(TObjectName node)

### postVisit

    public void postVisit(TObjectName node)

### preVisit

    public void preVisit(TObjectNameList node)

### postVisit

    public void postVisit(TObjectNameList node)

### preVisit

    public void preVisit(TConstant node)

### postVisit

    public void postVisit(TConstant node)

### preVisit

    public void preVisit(TConstantList node)

### postVisit

    public void postVisit(TConstantList node)

### preVisit

    public void preVisit(TExpression node)

### postVisit

    public void postVisit(TExpression node)

### preVisit

    public void preVisit(TExpressionList node)

### postVisit

    public void postVisit(TExpressionList node)

### preVisit

    public void preVisit(TInExpr node)

### postVisit

    public void postVisit(TInExpr node)

### preVisit

    public void preVisit(TGroupingExpressionItem node)

### postVisit

    public void postVisit(TGroupingExpressionItem node)

### preVisit

    public void preVisit(TGroupingExpressionItemList node)

### postVisit

    public void postVisit(TGroupingExpressionItemList node)

### preVisit

    public void preVisit(TResultColumn node)

### postVisit

    public void postVisit(TResultColumn node)

### preVisit

    public void preVisit(TResultColumnList node)

### postVisit

    public void postVisit(TResultColumnList node)

### preVisit

    public void preVisit(TTable node)

### postVisit

    public void postVisit(TTable node)

### preVisit

    public void preVisit(TCTE node)

### postVisit

    public void postVisit(TCTE node)

### preVisit

    public void preVisit(TCTEList node)

### postVisit

    public void postVisit(TCTEList node)

### preVisit

    public void preVisit(TTopClause node)

### postVisit

    public void postVisit(TTopClause node)

### preVisit

    public void preVisit(TIntoClause node)

### postVisit

    public void postVisit(TIntoClause node)

### preVisit

    public void preVisit(TPivotClause node)

### postVisit

    public void postVisit(TPivotClause node)

### preVisit

    public void preVisit(TCaseExpression node)

### postVisit

    public void postVisit(TCaseExpression node)

### preVisit

    public void preVisit(TWhenClauseItem node)

### postVisit

    public void postVisit(TWhenClauseItem node)

### preVisit

    public void preVisit(TWhenClauseItemList node)

### postVisit

    public void postVisit(TWhenClauseItemList node)

### preVisit

    public void preVisit(TJoin node)

### postVisit

    public void postVisit(TJoin node)

### preVisit

    public void preVisit(TJoinList node)

### postVisit

    public void postVisit(TJoinList node)

### preVisit

    public void preVisit(TJoinItem node)

### postVisit

    public void postVisit(TJoinItem node)

### preVisit

    public void preVisit(TJoinItemList node)

### postVisit

    public void postVisit(TJoinItemList node)

### preVisit

    public void preVisit(TWhereClause node)

### postVisit

    public void postVisit(TWhereClause node)

### preVisit

    public void preVisit(TOpenDatasource node)

### postVisit

    public void postVisit(TOpenDatasource node)

### preVisit

    public void preVisit(TContainsTable node)

### postVisit

    public void postVisit(TContainsTable node)

### preVisit

    public void preVisit(TOpenXML node)

### postVisit

    public void postVisit(TOpenXML node)

### preVisit

    public void preVisit(TOpenRowSet node)

### postVisit

    public void postVisit(TOpenRowSet node)

### preVisit

    public void preVisit(TTypeAttribute node)

### postVisit

    public void postVisit(TTypeAttribute node)

### preVisit

    public void preVisit(TTypeAttributeList node)

### postVisit

    public void postVisit(TTypeAttributeList node)

### preVisit

    public void preVisit(THierarchical node)

### postVisit

    public void postVisit(THierarchical node)

### preVisit

    public void preVisit(TGroupBy node)

### postVisit

    public void postVisit(TGroupBy node)

### preVisit

    public void preVisit(TGroupByItem node)

### postVisit

    public void postVisit(TGroupByItem node)

### preVisit

    public void preVisit(TGroupByItemList node)

### postVisit

    public void postVisit(TGroupByItemList node)

### preVisit

    public void preVisit(TOrderBy node)

### postVisit

    public void postVisit(TOrderBy node)

### preVisit

    public void preVisit(TOrderByItem node)

### postVisit

    public void postVisit(TOrderByItem node)

### preVisit

    public void preVisit(TOrderByItemList node)

### postVisit

    public void postVisit(TOrderByItemList node)

### preVisit

    public void preVisit(TForUpdate node)

### postVisit

    public void postVisit(TForUpdate node)

### preVisit

    public void preVisit(TComputeClause node)

### postVisit

    public void postVisit(TComputeClause node)

### preVisit

    public void preVisit(TComputeClauseItem node)

### postVisit

    public void postVisit(TComputeClauseItem node)

### preVisit

    public void preVisit(TComputeClauseItemList node)

### postVisit

    public void postVisit(TComputeClauseItemList node)

### preVisit

    public void preVisit(TAliasClause node)

### postVisit

    public void postVisit(TAliasClause node)

### preVisit

    public void preVisit(TStatementList node)

### postVisit

    public void postVisit(TStatementList node)

### preVisit

    public void preVisit(TPlsqlBlock node)

### postVisit

    public void postVisit(TPlsqlBlock node)

### preVisit

    public void preVisit(TExceptionClause node)

### postVisit

    public void postVisit(TExceptionClause node)

### preVisit

    public void preVisit(TExceptionHandler node)

### postVisit

    public void postVisit(TExceptionHandler node)

### preVisit

    public void preVisit(TExceptionHandlerList node)

### postVisit

    public void postVisit(TExceptionHandlerList node)

### preVisit

    public void preVisit(TOracleCreateSequenceStmt node)

### postVisit

    public void postVisit(TOracleCreateSequenceStmt node)

### preVisit

    public void preVisit(TPlsqlAssignStmt node)

### postVisit

    public void postVisit(TPlsqlAssignStmt node)

### preVisit

    public void preVisit(TPlsqlBasicStmt node)

### postVisit

    public void postVisit(TPlsqlBasicStmt node)

### preVisit

    public void preVisit(TPlsqlCaseStmt node)

### postVisit

    public void postVisit(TPlsqlCaseStmt node)

### preVisit

    public void preVisit(TPlsqlCloseStmt node)

### postVisit

    public void postVisit(TPlsqlCloseStmt node)

### preVisit

    public void preVisit(TPlsqlCreateFunction node)

### postVisit

    public void postVisit(TPlsqlCreateFunction node)

### preVisit

    public void preVisit(TPlsqlCreatePackage node)

### postVisit

    public void postVisit(TPlsqlCreatePackage node)

### preVisit

    public void preVisit(TPlsqlCreateProcedure node)

### postVisit

    public void postVisit(TPlsqlCreateProcedure node)

### preVisit

    public void preVisit(TPlsqlCreateTrigger node)

### postVisit

    public void postVisit(TPlsqlCreateTrigger node)

### preVisit

    public void preVisit(TPlsqlCreateType node)

### postVisit

    public void postVisit(TPlsqlCreateType node)

### preVisit

    public void preVisit(TPlsqlCreateType_Placeholder node)

### postVisit

    public void postVisit(TPlsqlCreateType_Placeholder node)

### preVisit

    public void preVisit(TPlsqlCreateTypeBody node)

### postVisit

    public void postVisit(TPlsqlCreateTypeBody node)

### postVisit

    public void postVisit(TPlsqlCursorDeclStmt node)

### postVisit

    public void postVisit(TPlsqlDummyStmt node)

### postVisit

    public void postVisit(TPlsqlElsifStmt node)

### postVisit

    public void postVisit(TPlsqlExecImmeStmt node)

### postVisit

    public void postVisit(TPlsqlExitStmt node)

### postVisit

    public void postVisit(TPlsqlFetchStmt node)

### postVisit

    public void postVisit(TPlsqlForallStmt node)

### postVisit

    public void postVisit(TPlsqlGotoStmt node)

### postVisit

    public void postVisit(TPlsqlIfStmt node)

### postVisit

    public void postVisit(TPlsqlLoopStmt node)

### postVisit

    public void postVisit(TPlsqlNullStmt node)

### postVisit

    public void postVisit(TPlsqlOpenforStmt node)

### postVisit

    public void postVisit(TPlsqlOpenStmt node)

### postVisit

    public void postVisit(TPlsqlPipeRowStmt node)

### postVisit

    public void postVisit(TPlsqlPragmaDeclStmt node)

### postVisit

    public void postVisit(TPlsqlProcedureSpecStmt node)

### postVisit

    public void postVisit(TPlsqlRaiseStmt node)

### postVisit

    public void postVisit(TPlsqlRecordTypeDefStmt node)

### postVisit

    public void postVisit(TPlsqlReturnStmt node)

### postVisit

    public void postVisit(TPlsqlSqlStmt node)

### postVisit

    public void postVisit(TPlsqlSubProgram node)

### postVisit

    public void postVisit(TPlsqlTableTypeDefStmt node)

### postVisit

    public void postVisit(TPlsqlVarDeclStmt node)

### postVisit

    public void postVisit(TPlsqlVarrayTypeDefStmt node)

### postVisit

    public void postVisit(TSqlplusCmdStatement node)

### preVisit

    public void preVisit(TPlsqlCursorDeclStmt node)

### preVisit

    public void preVisit(TPlsqlDummyStmt node)

### preVisit

    public void preVisit(TPlsqlElsifStmt node)

### preVisit

    public void preVisit(TPlsqlExecImmeStmt node)

### preVisit

    public void preVisit(TPlsqlExitStmt node)

### preVisit

    public void preVisit(TPlsqlFetchStmt node)

### preVisit

    public void preVisit(TPlsqlForallStmt node)

### preVisit

    public void preVisit(TPlsqlGotoStmt node)

### preVisit

    public void preVisit(TPlsqlIfStmt node)

### preVisit

    public void preVisit(TPlsqlLoopStmt node)

### preVisit

    public void preVisit(TPlsqlNullStmt node)

### preVisit

    public void preVisit(TPlsqlOpenforStmt node)

### preVisit

    public void preVisit(TPlsqlOpenStmt node)

### preVisit

    public void preVisit(TPlsqlPipeRowStmt node)

### preVisit

    public void preVisit(TPlsqlPragmaDeclStmt node)

### preVisit

    public void preVisit(TPlsqlProcedureSpecStmt node)

### preVisit

    public void preVisit(TPlsqlRaiseStmt node)

### preVisit

    public void preVisit(TPlsqlRecordTypeDefStmt node)

### preVisit

    public void preVisit(TPlsqlReturnStmt node)

### preVisit

    public void preVisit(TPlsqlSqlStmt node)

### preVisit

    public void preVisit(TPlsqlSubProgram node)

### preVisit

    public void preVisit(TPlsqlTableTypeDefStmt node)

### preVisit

    public void preVisit(TPlsqlVarDeclStmt node)

### preVisit

    public void preVisit(TPlsqlVarrayTypeDefStmt node)

### preVisit

    public void preVisit(TSqlplusCmdStatement node)

### preVisit

    public void preVisit(TSelectSqlStatement stmt)

### postVisit

    public void postVisit(TSelectSqlStatement stmt)

### preVisit

    public void preVisit(TAlterTableStatement stmt)

### postVisit

    public void postVisit(TAlterTableStatement stmt)

### preVisit

    public void preVisit(TCreateIndexSqlStatement stmt)

### postVisit

    public void postVisit(TCreateIndexSqlStatement stmt)

### preVisit

    public void preVisit(TCreateTableSqlStatement stmt)

### postVisit

    public void postVisit(TCreateTableSqlStatement stmt)

### preVisit

    public void preVisit(TTypeName node)

### postVisit

    public void postVisit(TTypeName node)

### preVisit

    public void preVisit(TTypeNameList node)

### postVisit

    public void postVisit(TTypeNameList node)

### preVisit

    public void preVisit(TColumnDefinition node)

### postVisit

    public void postVisit(TColumnDefinition node)

### preVisit

    public void preVisit(TColumnDefinitionList node)

### postVisit

    public void postVisit(TColumnDefinitionList node)

### preVisit

    public void preVisit(TConstraint node)

### postVisit

    public void postVisit(TConstraint node)

### preVisit

    public void preVisit(TConstraintList node)

### postVisit

    public void postVisit(TConstraintList node)

### preVisit

    public void preVisit(TMultiTarget node)

### postVisit

    public void postVisit(TMultiTarget node)

### preVisit

    public void preVisit(TMultiTargetList node)

### postVisit

    public void postVisit(TMultiTargetList node)

### preVisit

    public void preVisit(TFunctionCall node)

### postVisit

    public void postVisit(TFunctionCall node)

### preVisit

    public void preVisit(TOutputClause node)

### postVisit

    public void postVisit(TOutputClause node)

### preVisit

    public void preVisit(TReturningClause node)

### postVisit

    public void postVisit(TReturningClause node)

### preVisit

    public void preVisit(TCreateViewSqlStatement stmt)

### postVisit

    public void postVisit(TCreateViewSqlStatement stmt)

### preVisit

    public void preVisit(TDropIndexSqlStatement stmt)

### postVisit

    public void postVisit(TDropIndexSqlStatement stmt)

### preVisit

    public void preVisit(TDropTableSqlStatement stmt)

### postVisit

    public void postVisit(TDropTableSqlStatement stmt)

### preVisit

    public void preVisit(TDropViewSqlStatement stmt)

### postVisit

    public void postVisit(TDropViewSqlStatement stmt)

### preVisit

    public void preVisit(TMergeSqlStatement stmt)

### postVisit

    public void postVisit(TMergeSqlStatement stmt)

### preVisit

    public void preVisit(TUnknownSqlStatement stmt)

### postVisit

    public void postVisit(TUnknownSqlStatement stmt)

### preVisit

    public void preVisit(TDeleteSqlStatement stmt)

### postVisit

    public void postVisit(TDeleteSqlStatement stmt)

### preVisit

    public void preVisit(TUpdateSqlStatement stmt)

### postVisit

    public void postVisit(TUpdateSqlStatement stmt)

### preVisit

    public void preVisit(TInsertSqlStatement stmt)

### postVisit

    public void postVisit(TInsertSqlStatement stmt)

### preVisit

    public void preVisit(TMssqlCommit stmt)

### postVisit

    public void postVisit(TMssqlCommit stmt)

### preVisit

    public void preVisit(TMssqlRollback stmt)

### postVisit

    public void postVisit(TMssqlRollback stmt)

### preVisit

    public void preVisit(TMssqlSaveTran stmt)

### postVisit

    public void postVisit(TMssqlSaveTran stmt)

### preVisit

    public void preVisit(TMssqlBlock stmt)

### postVisit

    public void postVisit(TMssqlBlock stmt)

### preVisit

    public void preVisit(TMssqlCreateProcedure stmt)

### postVisit

    public void postVisit(TMssqlCreateProcedure stmt)

### preVisit

    public void preVisit(TMssqlCreateFunction stmt)

### postVisit

    public void postVisit(TMssqlCreateFunction stmt)

### preVisit

    public void preVisit(TMssqlCreateTrigger stmt)

### postVisit

    public void postVisit(TMssqlCreateTrigger stmt)

### preVisit

    public void preVisit(TMssqlBulkInsert stmt)

### postVisit

    public void postVisit(TMssqlBulkInsert stmt)

### preVisit

    public void preVisit(TMssqlUpdateText stmt)

### postVisit

    public void postVisit(TMssqlUpdateText stmt)

### preVisit

    public void preVisit(TMssqlDeclare stmt)

### postVisit

    public void postVisit(TMssqlDeclare stmt)

### preVisit

    public void preVisit(TMssqlReturn stmt)

### postVisit

    public void postVisit(TMssqlReturn stmt)

### preVisit

    public void preVisit(TMssqlIfElse stmt)

### postVisit

    public void postVisit(TMssqlIfElse stmt)

### preVisit

    public void preVisit(TMssqlPrint stmt)

### postVisit

    public void postVisit(TMssqlPrint stmt)

### preVisit

    public void preVisit(TMssqlUse stmt)

### postVisit

    public void postVisit(TMssqlUse stmt)

### preVisit

    public void preVisit(TMssqlGo stmt)

### postVisit

    public void postVisit(TMssqlGo stmt)

### preVisit

    public void preVisit(TMssqlContinue stmt)

### postVisit

    public void postVisit(TMssqlContinue stmt)

### preVisit

    public void preVisit(TMssqlBreak stmt)

### postVisit

    public void postVisit(TMssqlBreak stmt)

### preVisit

    public void preVisit(TMssqlGrant stmt)

### postVisit

    public void postVisit(TMssqlGrant stmt)

### preVisit

    public void preVisit(TMssqlFetch stmt)

### postVisit

    public void postVisit(TMssqlFetch stmt)

### preVisit

    public void preVisit(TMssqlClose stmt)

### postVisit

    public void postVisit(TMssqlClose stmt)

### preVisit

    public void preVisit(TMssqlOpen stmt)

### postVisit

    public void postVisit(TMssqlOpen stmt)

### preVisit

    public void preVisit(TMssqlDeallocate stmt)

### postVisit

    public void postVisit(TMssqlDeallocate stmt)

### preVisit

    public void preVisit(TMssqlExecute stmt)

### postVisit

    public void postVisit(TMssqlExecute stmt)

### preVisit

    public void preVisit(TMssqlExecuteAs stmt)

### postVisit

    public void postVisit(TMssqlExecuteAs stmt)

### preVisit

    public void preVisit(TMssqlBeginTran stmt)

### postVisit

    public void postVisit(TMssqlBeginTran stmt)

### preVisit

    public void preVisit(TMssqlRaiserror stmt)

### postVisit

    public void postVisit(TMssqlRaiserror stmt)

### preVisit

    public void preVisit(TMssqlLabel stmt)

### postVisit

    public void postVisit(TMssqlLabel stmt)

### preVisit

    public void preVisit(TMssqlGoTo stmt)

### postVisit

    public void postVisit(TMssqlGoTo stmt)

### preVisit

    public void preVisit(TMssqlRevert stmt)

### postVisit

    public void postVisit(TMssqlRevert stmt)

### preVisit

    public void preVisit(TMssqlEndConversation stmt)

### postVisit

    public void postVisit(TMssqlEndConversation stmt)

### preVisit

    public void preVisit(TMssqlBeginDialog stmt)

### postVisit

    public void postVisit(TMssqlBeginDialog stmt)

### preVisit

    public void preVisit(TMssqlSendOnConversation stmt)

### postVisit

    public void postVisit(TMssqlSendOnConversation stmt)

### preVisit

    public void preVisit(TMssqlStmtStub stmt)

### postVisit

    public void postVisit(TMssqlStmtStub stmt)

### preVisit

    public void preVisit(TMssqlTruncateTable stmt)

### postVisit

    public void postVisit(TMssqlTruncateTable stmt)

### preVisit

    public void preVisit(TIntervalExpression node)

### postVisit

    public void postVisit(TIntervalExpression node)

### preVisit

    public void preVisit(TQualifyClause node)

### postVisit

    public void postVisit(TQualifyClause node)

### preVisit

    public void preVisit(TCreateMaterializedSqlStatement stmt)

### postVisit

    public void postVisit(TCreateMaterializedSqlStatement stmt)

### preVisit

    public void preVisit(TLimitClause node)

### postVisit

    public void postVisit(TLimitClause snode)

### preVisit

    public void preVisit(TMySQLDeclare stmt)

### postVisit

    public void postVisit(TMySQLDeclare stmt)

### preVisit

    public void preVisit(TMySQLCreateFunction stmt)

### postVisit

    public void postVisit(TMySQLCreateFunction stmt)

### preVisit

    public void preVisit(TMySQLCreateProcedure stmt)

### postVisit

    public void postVisit(TMySQLCreateProcedure stmt)

### preVisit

    public void preVisit(TMySQLCreateTrigger stmt)

### postVisit

    public void postVisit(TMySQLCreateTrigger stmt)

### preVisit

    public void preVisit(TValueRowItem node)

### postVisit

    public void postVisit(TValueRowItem node)

### preVisit

    public void preVisit(TValueRowItemList node)

### postVisit

    public void postVisit(TValueRowItemList node)

### preVisit

    public void preVisit(TValueClause node)

### postVisit

    public void postVisit(TValueClause node)

### preVisit

    public void preVisit(TDb2StmtStub node)

### postVisit

    public void postVisit(TDb2StmtStub node)

### preVisit

    public void preVisit(TMySQLStmtStub node)

### postVisit

    public void postVisit(TMySQLStmtStub node)

### preVisit

    public void preVisit(TTrimArgument node)

### postVisit

    public void postVisit(TTrimArgument node)

### preVisit

    public void preVisit(TLockingClause node)

### postVisit

    public void postVisit(TLockingClause node)

### preVisit

    public void preVisit(TLockingClauseList node)

### postVisit

    public void postVisit(TLockingClauseList node)

### preVisit

    public void preVisit(TParameterDeclaration node)

### postVisit

    public void postVisit(TParameterDeclaration node)

### preVisit

    public void preVisit(TParameterDeclarationList node)

### postVisit

    public void postVisit(TParameterDeclarationList node)

### preVisit

    public void preVisit(TViewAliasClause node)

### postVisit

    public void postVisit(TViewAliasClause node)

### preVisit

    public void preVisit(TViewAliasItem node)

### postVisit

    public void postVisit(TViewAliasItem node)

### preVisit

    public void preVisit(TViewAliasItemList node)

### postVisit

    public void postVisit(TViewAliasItemList node)

### preVisit

    public void preVisit(TPTNodeList node)

### postVisit

    public void postVisit(TPTNodeList node)

### preVisit

    public void preVisit(TMdxSelect node)

### postVisit

    public void postVisit(TMdxSelect node)

### preVisit

    public void preVisit(TMdxAxisNode node)

### postVisit

    public void postVisit(TMdxAxisNode node)

### preVisit

    public void preVisit(TMdxExpNode node)

### postVisit

    public void postVisit(TMdxExpNode node)

### preVisit

    public void preVisit(TMdxBinOpNode node)

### postVisit

    public void postVisit(TMdxBinOpNode node)

### preVisit

    public void preVisit(TMdxCalcPropNode node)

### postVisit

    public void postVisit(TMdxCalcPropNode node)

### preVisit

    public void preVisit(TMdxCaseNode node)

### postVisit

    public void postVisit(TMdxCaseNode node)

### preVisit

    public void preVisit(TMdxEmptyNode node)

### postVisit

    public void postVisit(TMdxEmptyNode node)

### preVisit

    public void preVisit(TMdxFloatConstNode node)

### postVisit

    public void postVisit(TMdxFloatConstNode node)

### preVisit

    public void preVisit(TMdxFunctionNode node)

### postVisit

    public void postVisit(TMdxFunctionNode node)

### preVisit

    public void preVisit(TMdxIdentifierNode node)

### postVisit

    public void postVisit(TMdxIdentifierNode node)

### preVisit

    public void preVisit(TMdxIntegerConstNode node)

### postVisit

    public void postVisit(TMdxIntegerConstNode node)

### preVisit

    public void preVisit(TMdxNonEmptyNode node)

### postVisit

    public void postVisit(TMdxNonEmptyNode node)

### preVisit

    public void preVisit(TMdxPropertyNode node)

### postVisit

    public void postVisit(TMdxPropertyNode node)

### preVisit

    public void preVisit(TMdxSetNode node)

### postVisit

    public void postVisit(TMdxSetNode node)

### preVisit

    public void preVisit(TMdxStringConstNode node)

### postVisit

    public void postVisit(TMdxStringConstNode node)

### preVisit

    public void preVisit(TMdxTupleNode node)

### postVisit

    public void postVisit(TMdxTupleNode node)

### preVisit

    public void preVisit(TMdxUnaryOpNode node)

### postVisit

    public void postVisit(TMdxUnaryOpNode node)

### preVisit

    public void preVisit(TMdxWhenNode node)

### postVisit

    public void postVisit(TMdxWhenNode node)

### preVisit

    public void preVisit(TMdxWhereNode node)

### postVisit

    public void postVisit(TMdxWhereNode node)

### preVisit

    public void preVisit(TMdxWithNode node)

### postVisit

    public void postVisit(TMdxWithNode node)

### preVisit

    public void preVisit(TMdxCreateMember node)

### postVisit

    public void postVisit(TMdxCreateMember node)

### preVisit

    public void preVisit(TMdxCreateSubCube node)

### postVisit

    public void postVisit(TMdxCreateSubCube node)

### preVisit

    public void preVisit(TMdxDrillthrough node)

### postVisit

    public void postVisit(TMdxDrillthrough node)

### preVisit

    public void preVisit(TMdxCall node)

### postVisit

    public void postVisit(TMdxCall node)

### preVisit

    public void preVisit(TMdxDimensionNode node)

### postVisit

    public void postVisit(TMdxDimensionNode node)

### preVisit

    public void preVisit(TMdxMeasureNode node)

### postVisit

    public void postVisit(TMdxMeasureNode node)

### preVisit

    public void preVisit(TMdxGroupNode node)

### postVisit

    public void postVisit(TMdxGroupNode node)

### preVisit

    public void preVisit(TMdxLevelNode node)

### postVisit

    public void postVisit(TMdxLevelNode node)

### preVisit

    public void preVisit(TMdxMemberNode node)

### postVisit

    public void postVisit(TMdxMemberNode node)

### preVisit

    public void preVisit(TMdxDimContentNode node)

### postVisit

    public void postVisit(TMdxDimContentNode node)

### preVisit

    public void preVisit(TMdxLevelContentNode node)

### postVisit

    public void postVisit(TMdxLevelContentNode node)

### preVisit

    public void preVisit(TMdxCreateSessionCube node)

### postVisit

    public void postVisit(TMdxCreateSessionCube node)

### preVisit

    public void preVisit(TMdxScope node)

### postVisit

    public void postVisit(TMdxScope node)

### preVisit

    public void preVisit(TMdxExpression node)

### postVisit

    public void postVisit(TMdxExpression node)

### preVisit

    public void preVisit(TOracleCommentOnSqlStmt node)

### postVisit

    public void postVisit(TOracleCommentOnSqlStmt node)

### preVisit

    public void preVisit(TOracleCreateSynonymStmt node)

### postVisit

    public void postVisit(TOracleCreateSynonymStmt node)

### preVisit

    public void preVisit(TOracleExecuteProcedure node)

### postVisit

    public void postVisit(TOracleExecuteProcedure node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD